complexType "ConfirmationStatus"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 12 elements
Defined: | globally in fpml-confirmation-processes-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, parentCorrelationId?, correlationId, sequenceNumber?, onBehalfOf?, status, ((assertedEvent, proposedMatch*) | allegedEvent), (party+, account*)?
</...>

Content Model Elements (12):

  account, allegedEvent, assertedEvent, correlationId, header (defined in ResponseMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), proposedMatch, sequenceNumber (defined in Sequence.model group), status (in confirmationStatus), validation

All Direct / Indirect Based Elements (1):

  confirmationStatus

Known Usage Locations

- As direct type of elements (1):
  confirmationStatus

Annotation
Message for sending matching results. Response message that returns the status of an event that have been submitted for matching.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) ConfirmationStatus

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="ConfirmationStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element name="status" type="EventStatus"/> <xsd:choice> <xsd:sequence> <xsd:element name="assertedEvent" type="EventsChoice"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="EventProposedMatch"/> </xsd:sequence> <xsd:element name="allegedEvent" type="EventsChoice"/> </xsd:choice> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/12)
allegedEvent

  Type: | EventsChoice, complex content

  Event (trade post-trade event) asserted by the "other side's" party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="allegedEvent" type="EventsChoice"/>

assertedEvent

  Type: | EventsChoice, complex content

  Event (trade or post-trade event) asserted by one of the parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="assertedEvent" type="EventsChoice"/>

proposedMatch

  Type: | EventProposedMatch, complex content

  "Other side's" event (trade or post-trade event) that meets the minimimum matching criteria and is proposed as match to the event that is being asserted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="EventProposedMatch"/>

status

  Type: | EventStatus, simple content

  Defines the confirmation status of a trade or post-trade event (e.g. Matched, Mismatched, Unmatched, Alleged).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="status" type="EventStatus"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.